org.apache.maven.usability

## Class ArtifactResolverDiagnoser

- java.lang.Object
- - org.apache.maven.usability.ArtifactResolverDiagnoser

All Implemented Interfaces:
  ErrorDiagnoser

    public class ArtifactResolverDiagnoser
    extends java.lang.Object
    implements ErrorDiagnoser

### Field Summary

### Fields inherited from interface org.apache.maven.usability.diagnostics.ErrorDiagnoser

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ArtifactResolverDiagnoser()`

### Method Summary

Methods
`boolean` `canDiagnose(java.lang.Throwable error)`
`java.lang.String` `diagnose(java.lang.Throwable error)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArtifactResolverDiagnoser

    public ArtifactResolverDiagnoser()

### Method Detail

#### canDiagnose

    public boolean canDiagnose(java.lang.Throwable error)

Specified by:
  `canDiagnose` in interface `ErrorDiagnoser`

#### diagnose

    public java.lang.String diagnose(java.lang.Throwable error)

Specified by:
  `diagnose` in interface `ErrorDiagnoser`